PostgreSQL 7.1.3 Documentation
Prev |  | Next

# SPI_gettype

## Name

SPI_gettype -- Returns the type name of the specified attribute

## Synopsis

    SPI_gettype(tupdesc, fnumber)

### Inputs

TupleDesc `tupdesc`

  Input tuple description

int `fnumber`

  Attribute number

### Outputs

char *

  The type name for the specified attribute number

SPI_result

  SPI_ERROR_NOATTRIBUTE

## Description

`SPI_gettype` returns a copy of the type name for the specified attribute.

## Usage

Attribute numbers are 1 based.

## Algorithm

Does not allocate new space for the binary value.

Prev | Home | Next
SPI_getbinval | Up | SPI_gettypeid